angular.module('camotion')
    .controller('CamerasController', ['$scope', 'CamerasService',
        function($scope, CamerasService) {

            $scope.cameras = [];
            $scope.rowCameras = [];

            $scope.playingCameras = [];

            $scope.playPause = function(camera)
            {
                var idx = $scope.playingCameras.indexOf(camera.Id);
                if (idx > -1) {
                    $scope.playingCameras.splice(idx, 1);
                }
                else {
                    $scope.playingCameras.push(camera.Id);
                }
            };

            $scope.isPlaying = function(camera)
            {
                return $scope.playingCameras.indexOf(camera.Id) > -1;
            };

            CamerasService.getAll({}).then(function(cameras)
            {
                $scope.cameras = cameras.Data;
            });
    }]);
